# This work was supported by the EuroHPC PL infrastructure funded at the
# Smart Growth Operational Programme (2014-2020), Measure 4.2
# under the grant agreement no. POIR.04.02.00-00-D014/20-00


"""
=======================================
VQA Solvers (:mod:`QHyper.solvers.vqa`)
=======================================

.. currentmodule:: QHyper.solvers.vqa


Base
====

.. autosummary::
    :toctree: generated/

    VQA  -- VQA universal implementation


Parametrized Quantum Circuits
=============================

.. autosummary::
    :toctree: generated/
    :recursive:

    pqc


Evaluation functions
====================

.. autosummary::
    :toctree: generated/
    :recursive:

    eval_funcs
"""


from .base import VQA  # noqa: F401
